<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractPhysician extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
        'qualification' => 'string',
        'lastname' => 'string',
        'firstname' => 'string',
        'order_number' => 'string',
        'hospital_id' => 'integer'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function hospital()
    {
        return $this->belongsTo('\App\Hospital', 'hospital_id', 'id');
    }
    
    public function demands()
    {
        return $this->hasMany('\App\Demand', 'physician_id', 'id');
    }
}
